% pregunta 2, laboratorio 3
% comparando A\B (descomposición LU de A se calcula 1 sola vez y se usa
% para resolver todos los sistemas) con ciclo para encontrar A\B(:,i), en
% cuyo caso es necesario calcular una nueva descomposición LU cada vez
A = rand(50);
% mientras A sea singular, generar nueva A
while rank(A) ~= 50
    A = rand(50);
end
B = rand(50,100);
% con tic,toc y cputime no se obtiene la misma estimación del tiempo
% necesario para calcular X e Y.
tic
% t0 = cputime;
X = A\B;
% t1 = cputime-t0
toc

Y = zeros(50,100);
% t0 = cputime;
tic
for i = 1:100
    Y(:,i) = A\B(:,i);
end
% t1 = cputime-t0
toc
